/**
 * @file settings.h
 *
 * Project specific configuration settings and feature selection
 *
 * Copyright (c) 2006 FOCUS Software Engineering Pty Ltd <www.focus-sw.com>
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS OF A
 * SEPARATE LICENSE STATEMENT AND LIMITED WARRANTY.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD FOCUS SOFTWARE ENGINEERING,
 * ITS RELATED COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY
 * CLAIMS OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR
 * DISTRIBUTION OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES
 * ARISING OUT OF OR RESULTING FROM THE USE, MODIFICATION, OR DISTRIBUTION
 * OF PROGRAMS OR FILES CREATED FROM, BASED ON, AND/OR DERIVED FROM THIS
 * SOURCE CODE FILE.
 *
 * @endif
 */


#ifndef _SETTINGS_H_INCLUDED
#define _SETTINGS_H_INCLUDED

/*****************************************************************************
 * TCP/IP Stack
 *****************************************************************************/

#define NIC_LINK_DETECT
#define NIC_DELAY_1                    100  // Was 1000 in original code
#define DHCP_TIMEOUT                   1000 ///< DHCP reply t/o, 5000 in org.
#define DHCP_DELAY                     100  ///< DHCP delay between retries, 1000 in org.
#define DHCP_TRIES                     2    ///< DHCP retry, 3 in org


/*****************************************************************************
 * Debugging
 *****************************************************************************/

//#define SERIAL_DEBUG                   0    ///< Port used 0 or 1
#define SERIAL_DEBUG_BAUD              115200 ///< Baudrate


#endif // ifdef ..._H_INCLUDED
